:root {
    --primary-color: #1a1a2e;
    --secondary-color: #16213e;
    --accent-color: #8a2be2;
    --text-color: #e0e0e0;
    --button-color: #8a2be2;
    --button-hover-color: #9b4deb;
}



/* Language toggle styles */
#google_translate_element {
    position: fixed;
    bottom: 60px;
    width: 100vw;
    background-color: #1a1a2e;
    z-index: 1001;
    display: none;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 10px 0;
}

#custom-language-list {
    width: 80%;
    max-width: 400px;
    margin: 0 auto;
    background-color: #1a1a2e;
    border: none;
    border-radius: 10px;
    box-shadow: 0 0px 20px rgb(252, 252, 252, 0.5);
    max-height: 300px;
    overflow-y: auto;
    padding: 0;
    list-style-type: none;
}

#custom-language-list li {
    padding: 0 10px;
    cursor: pointer;
    transition: background-color 0.3s;
    color: white;
    height: 40px;
    line-height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
}

#custom-language-list li:hover {
    background-color: #16213e;/* Lighter purple for hover state */
}

/* Dark mode styles */
body.dark-mode #google_translate_element {
    background-color: #1e1e1e; /* Darker background for dark mode */
}

body.dark-mode #custom-language-list {
    background-color: #1e1e1e;
    border-color: #555;
}

body.dark-mode #custom-language-list li:hover {
    background-color: #333;
}

/* Hide the default Google Translate widget */
.goog-te-banner-frame.skiptranslate,
.goog-te-gadget-icon {
    display: none !important;
}

body {
    top: 0 !important;
}